Index: /branches/version-2_12-dev/data/class/SC_Query.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_Query.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/SC_Query.php	(revision 22796)
@@ -30,6 +30,5 @@
  * @version $Id$
  */
-class SC_Query 
-{
+class SC_Query {
 
     var $option = '';
@@ -50,6 +49,5 @@
      * @param boolean $new 新規に接続を行うかどうか
      */
-    function __construct($dsn = '', $force_run = false, $new = false)
-    {
+    function __construct($dsn = '', $force_run = false, $new = false) {
 
         if ($dsn == '') {
@@ -101,6 +99,5 @@
      * @return SC_Query シングルトンの SC_Query インスタンス
      */
-    static function getSingletonInstance($dsn = '', $force_run = false, $new = false)
-    {
+    static function getSingletonInstance($dsn = '', $force_run = false, $new = false) {
         $objThis = SC_Query_Ex::getPoolInstance($dsn);
         if (is_null($objThis)) {
@@ -122,6 +119,5 @@
      * @return boolean
      */
-    function isError()
-    {
+    function isError() {
         if (PEAR::isError($this->conn)) {
             return true;
@@ -138,6 +134,5 @@
      * @return integer 件数
      */
-    function count($table, $where = '', $arrWhereVal = array())
-    {
+    function count($table, $where = '', $arrWhereVal = array()) {
         return $this->get('COUNT(*)', $table, $where, $arrWhereVal);
     }
@@ -151,6 +146,5 @@
      * @return boolean 有無
      */
-    function exists($table, $where = '', $arrWhereVal = array())
-    {
+    function exists($table, $where = '', $arrWhereVal = array()) {
         $sql_inner = $this->getSql('*', $table, $where, $arrWhereVal);
         $sql = "SELECT CASE WHEN EXISTS($sql_inner) THEN 1 ELSE 0 END";
@@ -169,6 +163,5 @@
      * @return array|null
      */
-    function select($cols, $from = '', $where = '', $arrWhereVal = array(), $fetchmode = MDB2_FETCHMODE_ASSOC)
-    {
+    function select($cols, $from = '', $where = '', $arrWhereVal = array(), $fetchmode = MDB2_FETCHMODE_ASSOC) {
         $sqlse = $this->getSql($cols, $from, $where, $arrWhereVal);
         return $this->getAll($sqlse, $arrWhereVal, $fetchmode);
@@ -181,6 +174,5 @@
      * @return string SQL文
      */
-    function getLastQuery($disp = true)
-    {
+    function getLastQuery($disp = true) {
         $sql = $this->conn->last_query;
         if ($disp) {
@@ -196,6 +188,5 @@
      *         失敗した場合は PEAR::Error オブジェクト
      */
-    function commit()
-    {
+    function commit() {
         return $this->conn->commit();
     }
@@ -207,6 +198,5 @@
      *         失敗した場合は PEAR::Error オブジェクト
      */
-    function begin()
-    {
+    function begin() {
         return $this->conn->beginTransaction();
     }
@@ -218,6 +208,5 @@
      *         失敗した場合は PEAR::Error オブジェクト
      */
-    function rollback()
-    {
+    function rollback() {
         return $this->conn->rollback();
     }
@@ -228,6 +217,5 @@
      * @return boolean トランザクションが開始されている場合 true
      */
-    function inTransaction()
-    {
+    function inTransaction() {
         return $this->conn->inTransaction();
     }
@@ -240,6 +228,5 @@
      * FIXME MDB2::exec() の実装であるべき
      */
-    function exec($str, $arrVal = array())
-    {
+    function exec($str, $arrVal = array()) {
         return $this->query($str, $arrVal);
     }
@@ -254,6 +241,5 @@
      * @return boolean 結果
      */
-    function doCallbackAll($cbFunc, $sql, $arrVal = array(), $fetchmode = MDB2_FETCHMODE_ASSOC)
-    {
+    function doCallbackAll($cbFunc, $sql, $arrVal = array(), $fetchmode = MDB2_FETCHMODE_ASSOC) {
 
         $sql = $this->dbFactory->sfChangeMySQL($sql);
@@ -287,6 +273,5 @@
      * @return array データを含む2次元配列。失敗した場合に 0 または DB_Error オブジェクトを返します。
      */
-    function getAll($sql, $arrVal = array(), $fetchmode = MDB2_FETCHMODE_ASSOC)
-    {
+    function getAll($sql, $arrVal = array(), $fetchmode = MDB2_FETCHMODE_ASSOC) {
 
         $sql = $this->dbFactory->sfChangeMySQL($sql);
@@ -321,6 +306,5 @@
      * @return string 構築済みの SELECT 文
      */
-    function getSql($cols, $from = '', $where = '', &$arrWhereVal = null)
-    {
+    function getSql($cols, $from = '', $where = '', &$arrWhereVal = null) {
         $dbFactory = SC_DB_DBFactory_Ex::getInstance();
 
@@ -358,6 +342,5 @@
      * @return SC_Query 自分自身のインスタンス
      */
-    function setOption($str)
-    {
+    function setOption($str) {
         $this->option = $str;
         return $this;
@@ -373,6 +356,5 @@
      * @return SC_Query 自分自身のインスタンス
      */
-    function setLimitOffset($limit, $offset = 0)
-    {
+    function setLimitOffset($limit, $offset = 0) {
         if (is_numeric($limit) && is_numeric($offset)) {
             $this->conn->setLimit($limit, $offset);
@@ -389,6 +371,5 @@
      * @return SC_Query 自分自身のインスタンス
      */
-    function setGroupBy($str)
-    {
+    function setGroupBy($str) {
         if (strlen($str) == 0) {
             $this->groupby = '';
@@ -407,6 +388,5 @@
      * @return SC_Query 自分自身のインスタンス
      */
-    function andWhere($str)
-    {
+    function andWhere($str) {
         if ($this->where != '') {
             $this->where .= ' AND ' . $str;
@@ -425,6 +405,5 @@
      * @return SC_Query 自分自身のインスタンス
      */
-    function orWhere($str)
-    {
+    function orWhere($str) {
         if ($this->where != '') {
             $this->where .= ' OR ' . $str;
@@ -444,6 +423,5 @@
      * @return SC_Query 自分自身のインスタンス
      */
-    function setWhere($where = '', $arrWhereVal = array())
-    {
+    function setWhere($where = '', $arrWhereVal = array()) {
         $this->where = $where;
         $this->arrWhereVal = $arrWhereVal;
@@ -459,6 +437,5 @@
      * @return SC_Query 自分自身のインスタンス
      */
-    function setOrder($str)
-    {
+    function setOrder($str) {
         if (strlen($str) == 0) {
             $this->order = '';
@@ -477,6 +454,5 @@
      * @return SC_Query 自分自身のインスタンス
      */
-    function setLimit($limit)
-    {
+    function setLimit($limit) {
         if (is_numeric($limit)) {
             $this->conn->setLimit($limit);
@@ -493,6 +469,5 @@
      * @return SC_Query 自分自身のインスタンス
      */
-    function setOffset($offset)
-    {
+    function setOffset($offset) {
         if (is_numeric($offset)) {
             $this->conn->setLimit($this->conn->limit, $offset);
@@ -512,6 +487,5 @@
      * @return integer|DB_Error|boolean 挿入件数またはエラー(DB_Error, false)
      */
-    function insert($table, $arrVal, $arrSql = array(), $arrSqlVal = array(), $from = '', $arrFromVal = array())
-    {
+    function insert($table, $arrVal, $arrSql = array(), $arrSqlVal = array(), $from = '', $arrFromVal = array()) {
         $strcol = '';
         $strval = '';
@@ -570,6 +544,5 @@
      * @return
      */
-    function update($table, $arrVal, $where = '', $arrWhereVal = array(), $arrRawSql = array(), $arrRawSqlVal = array())
-    {
+    function update($table, $arrVal, $where = '', $arrWhereVal = array(), $arrRawSql = array(), $arrRawSqlVal = array()) {
         $arrCol = array();
         $arrValForQuery = array();
@@ -626,6 +599,5 @@
      * @return integer MAX文の実行結果
      */
-    function max($col, $table, $where = '', $arrWhereVal = array())
-    {
+    function max($col, $table, $where = '', $arrWhereVal = array()) {
         $ret = $this->get("MAX($col)", $table, $where, $arrWhereVal);
         return $ret;
@@ -641,6 +613,5 @@
      * @return integer MIN文の実行結果
      */
-    function min($col, $table, $where = '', $arrWhereVal = array())
-    {
+    function min($col, $table, $where = '', $arrWhereVal = array()) {
         $ret = $this->get("MIN($col)", $table, $where, $arrWhereVal);
         return $ret;
@@ -656,6 +627,5 @@
      * @return mixed SQL の実行結果
      */
-    function get($col, $table = '', $where = '', $arrWhereVal = array())
-    {
+    function get($col, $table = '', $where = '', $arrWhereVal = array()) {
         $sqlse = $this->getSql($col, $table, $where, $arrWhereVal);
         // SQL文の実行
@@ -671,6 +641,5 @@
      * @return mixed SQL の実行結果
      */
-    function getOne($sql, $arrVal = array())
-    {
+    function getOne($sql, $arrVal = array()) {
 
         $sql = $this->dbFactory->sfChangeMySQL($sql);
@@ -705,6 +674,5 @@
      * @return array array('カラム名' => '値', ...)の連想配列
      */
-    function getRow($col, $table = '', $where = '', $arrWhereVal = array(), $fetchmode = MDB2_FETCHMODE_ASSOC)
-    {
+    function getRow($col, $table = '', $where = '', $arrWhereVal = array(), $fetchmode = MDB2_FETCHMODE_ASSOC) {
 
         $sql = $this->getSql($col, $table, $where, $arrWhereVal);
@@ -739,6 +707,5 @@
      * @return array SQL の実行結果の配列
      */
-    function getCol($col, $table = '', $where = '', $arrWhereVal = array())
-    {
+    function getCol($col, $table = '', $where = '', $arrWhereVal = array()) {
         $sql = $this->getSql($col, $table, $where, $arrWhereVal);
         $sql = $this->dbFactory->sfChangeMySQL($sql);
@@ -771,6 +738,5 @@
      * @return
      */
-    function delete($table, $where = '', $arrWhereVal = array())
-    {
+    function delete($table, $where = '', $arrWhereVal = array()) {
         if (strlen($where) <= 0) {
             $sqlde = "DELETE FROM $table";
@@ -788,6 +754,5 @@
      * @param integer 次のシーケンス値
      */
-    function nextVal($seq_name)
-    {
+    function nextVal($seq_name) {
         return $this->conn->nextID($seq_name);
     }
@@ -799,6 +764,5 @@
      * @return integer 現在のシーケンス値
      */
-    function currVal($seq_name)
-    {
+    function currVal($seq_name) {
         return $this->conn->currID($seq_name);
     }
@@ -811,6 +775,5 @@
      * @return MDB2_OK
      */
-    function setVal($seq_name, $start)
-    {
+    function setVal($seq_name, $start) {
         $objManager =& $this->conn->loadModule('Manager');
 
@@ -840,6 +803,5 @@
      * @return array SQL の実行結果の配列
      */
-    function query($n ,$arr = array(), $ignore_err = false, $types = null, $result_types = MDB2_PREPARE_RESULT)
-    {
+    function query($n ,$arr = array(), $ignore_err = false, $types = null, $result_types = MDB2_PREPARE_RESULT) {
 
         $n = $this->dbFactory->sfChangeMySQL($n);
@@ -866,6 +828,5 @@
      * @return array シーケンス名の配列
      */
-    function listSequences()
-    {
+    function listSequences() {
         $objManager =& $this->conn->loadModule('Manager');
         return $objManager->listSequences();
@@ -877,6 +838,5 @@
      * @return array テーブル名の配列
      */
-    function listTables()
-    {
+    function listTables() {
         return $this->dbFactory->listTables($this);
     }
@@ -888,6 +848,5 @@
      * @return array 指定のテーブルのカラム名の配列
      */
-    function listTableFields($table)
-    {
+    function listTableFields($table) {
         $objManager =& $this->conn->loadModule('Manager');
         return $objManager->listTableFields($table);
@@ -900,6 +859,5 @@
      * @return array 指定のテーブルのインデックス一覧
      */
-    function listTableIndexes($table)
-    {
+    function listTableIndexes($table) {
         $objManager =& $this->conn->loadModule('Manager');
         return $objManager->listTableIndexes($table);
@@ -914,6 +872,5 @@
      *               MySQLのtext型フィールドを指定する場合は $definition['length'] = 'text_field(NNN)' が必要
      */
-    function createIndex($table, $name, $definition)
-    {
+    function createIndex($table, $name, $definition) {
         $definition = $this->dbFactory->sfGetCreateIndexDefinition($table, $name, $definition);
         $objManager =& $this->conn->loadModule('Manager');
@@ -927,6 +884,5 @@
      * @param string $name インデックス名
      */
-    function dropIndex($table, $name)
-    {
+    function dropIndex($table, $name) {
         $objManager =& $this->conn->loadModule('Manager');
         return $objManager->dropIndex($table, $name);
@@ -939,6 +895,5 @@
      * @return array テーブル情報の配列
      */
-    function getTableInfo($table)
-    {
+    function getTableInfo($table) {
         $objManager =& $this->conn->loadModule('Reverse');
         return $objManager->tableInfo($table, NULL);
@@ -956,6 +911,5 @@
      * @return string クォートされた文字列
      */
-    function quote($val)
-    {
+    function quote($val) {
         return $this->conn->quote($val);
     }
@@ -968,6 +922,5 @@
      * @return array テーブルに存在する列のみ抽出した連想配列
      */
-    function extractOnlyColsOf($table, $arrParams)
-    {
+    function extractOnlyColsOf($table, $arrParams) {
         $arrCols = $this->listTableFields($table);
         $arrResults = array();
@@ -989,6 +942,5 @@
      * @return MDB2_Statement_Common プリペアドステートメントインスタンス
      */
-    function prepare($sql, $types = null, $result_types = MDB2_PREPARE_RESULT)
-    {
+    function prepare($sql, $types = null, $result_types = MDB2_PREPARE_RESULT) {
         $sth =& $this->conn->prepare($sql, $types, $result_types);
         if (PEAR::isError($sth)) {
@@ -1007,6 +959,5 @@
      * @return MDB2_Result 結果セットのインスタンス
      */
-    function execute(&$sth, $arrVal = array())
-    {
+    function execute(&$sth, $arrVal = array()) {
 
         $arrStartInfo =& $this->lfStartDbTraceLog($sth, $arrVal);
@@ -1034,6 +985,5 @@
      * @return string トレースしたエラー文字列
      */
-    function traceError($error, $sql = '', $arrVal = false)
-    {
+    function traceError($error, $sql = '', $arrVal = false) {
         $err = "SQL: [$sql]\n";
         if ($arrVal !== false) {
@@ -1052,6 +1002,5 @@
      * エラー処理
      */
-    function error($msg)
-    {
+    function error($msg) {
         $msg = "DB処理でエラーが発生しました。\n" . $msg;
         if (!$this->force_run) {
@@ -1072,6 +1021,5 @@
      * @return array 実行結果の配列
      */
-    function getQueryDefsFields($n ,$arr = array(), $ignore_err = false, $types = null, $result_types = MDB2_PREPARE_RESULT)
-    {
+    function getQueryDefsFields($n ,$arr = array(), $ignore_err = false, $types = null, $result_types = MDB2_PREPARE_RESULT) {
 
         $n = $this->dbFactory->sfChangeMySQL($n);
@@ -1100,6 +1048,5 @@
      * @return void
      */
-    private function lfStartDbTraceLog(&$objSth, &$arrVal)
-    {
+    private function lfStartDbTraceLog(&$objSth, &$arrVal) {
         if (!defined('SQL_QUERY_LOG_MODE') || SQL_QUERY_LOG_MODE === 0) {
             return;
@@ -1136,6 +1083,5 @@
      * @return void
      */
-    private function lfEndDbTraceLog(&$arrStartInfo, &$objSth, &$arrVal)
-    {
+    private function lfEndDbTraceLog(&$arrStartInfo, &$objSth, &$arrVal) {
         if (!defined('SQL_QUERY_LOG_MODE') || SQL_QUERY_LOG_MODE === 0) {
             return;
@@ -1168,6 +1114,5 @@
      * @return SC_Query プールしたインスタンス
      */
-    static function setPoolInstance(&$objThis, $dsn = '')
-    {
+    static function setPoolInstance(&$objThis, $dsn = '') {
         $key_str = serialize($dsn);
         return SC_Query_Ex::$arrPoolInstance[$key_str] = $objThis;
@@ -1180,6 +1125,5 @@
      * @return SC_Query|null
      */
-    static function getPoolInstance($dsn = '')
-    {
+    static function getPoolInstance($dsn = '') {
         $key_str = serialize($dsn);
         if (isset(SC_Query_Ex::$arrPoolInstance[$key_str])) {
Index: /branches/version-2_12-dev/data/class/SC_SmartphoneView.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_SmartphoneView.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/SC_SmartphoneView.php	(revision 22796)
@@ -22,13 +22,10 @@
  */
 
-class SC_SmartphoneView extends SC_SiteView_Ex 
-{
-    function __construct($setPrevURL = true)
-    {
+class SC_SmartphoneView extends SC_SiteView_Ex {
+    function __construct($setPrevURL = true) {
         parent::__construct($setPrevURL);
     }
 
-    function init()
-    {
+    function init() {
         parent::init();
 
Index: /branches/version-2_12-dev/data/class/SC_Product.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_Product.php	(revision 22593)
+++ /branches/version-2_12-dev/data/class/SC_Product.php	(revision 22796)
@@ -29,6 +29,5 @@
  * @version $Id$
  */
-class SC_Product 
-{
+class SC_Product {
 
     /** 規格名一覧 */
@@ -61,6 +60,5 @@
      * @return void
      */
-    function setProductsOrder($col, $table = 'dtb_products', $order = 'ASC')
-    {
+    function setProductsOrder($col, $table = 'dtb_products', $order = 'ASC') {
         $this->arrOrderData = array('col' => $col, 'table' => $table, 'order' => $order);
     }
@@ -75,8 +73,8 @@
      * @return array 商品IDの配列
      */
-    function findProductIdsOrder(&$objQuery, $arrVal = array())
-    {
-        $table = 'dtb_products AS alldtl';
-
+    function findProductIdsOrder(&$objQuery, $arrVal = array()) {
+        $table = <<< __EOS__
+            dtb_products AS alldtl
+__EOS__;
         $objQuery->setGroupBy('alldtl.product_id');
         if (is_array($this->arrOrderData) and $objQuery->order == '') {
@@ -96,7 +94,10 @@
             $objQuery->setOrder($order);
         }
-        $arrReturn = $objQuery->getCol('alldtl.product_id', $table, '', $arrVal);
-
-        return $arrReturn;
+        $results = $objQuery->select('alldtl.product_id', $table, '', $arrVal, MDB2_FETCHMODE_ORDERED);
+        $resultValues = array();
+        foreach ($results as $val) {
+            $resultValues[] = $val[0];
+        }
+        return $resultValues;
     }
 
@@ -110,8 +111,8 @@
      * @return array 対象商品ID数
      */
-    function findProductCount(&$objQuery, $arrVal = array())
-    {
-        $table = 'dtb_products AS alldtl';
-
+    function findProductCount(&$objQuery, $arrVal = array()) {
+        $table = <<< __EOS__
+            dtb_products AS alldtl
+__EOS__;
         return $objQuery->count($table, '', $arrVal);
     }
@@ -127,6 +128,5 @@
      * @return array 商品一覧の配列
      */
-    function lists(&$objQuery)
-    {
+    function lists(&$objQuery) {
         $col = <<< __EOS__
              product_id
@@ -154,5 +154,4 @@
 __EOS__;
         $res = $objQuery->select($col, $this->alldtlSQL());
-
         return $res;
     }
@@ -170,6 +169,5 @@
      * @return array 商品一覧の配列 (キー: 商品ID)
      */
-    function getListByProductIds(&$objQuery, $arrProductId = array())
-    {
+    function getListByProductIds(&$objQuery, $arrProductId = array()) {
         if (empty($arrProductId)) {
             return array();
@@ -183,5 +181,10 @@
 
         // 配列のキーを商品IDに
-        $arrProducts = SC_Utils_Ex::makeArrayIDToKey('product_id', $arrProducts);
+        $arrTmp = array();
+        foreach ($arrProducts as $arrProduct) {
+            $arrTmp[$arrProduct['product_id']] = $arrProduct;
+        }
+        $arrProducts =& $arrTmp;
+        unset($arrTmp);
 
         // SC_Query::setOrder() の指定がない場合、$arrProductId で指定された商品IDの順に配列要素を並び替え
@@ -207,6 +210,5 @@
      * @return array 商品詳細情報の配列
      */
-    function getDetail($productId)
-    {
+    function getDetail($productId) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $arrProduct = $objQuery->getRow('*', $this->alldtlSQL('product_id = ?'),
@@ -227,9 +229,7 @@
      * @return array 商品詳細情報と商品規格の配列
      */
-    function getDetailAndProductsClass($productClassId)
-    {
+    function getDetailAndProductsClass($productClassId) {
         $result = $this->getProductsClass($productClassId);
         $result = array_merge($result, $this->getDetail($result['product_id']));
-
         return $result;
     }
@@ -245,6 +245,5 @@
      * @return void
      */
-    function setProductsClassByProductIds($arrProductId, $has_deleted = false)
-    {
+    function setProductsClassByProductIds($arrProductId, $has_deleted = false) {
 
         foreach ($arrProductId as $productId) {
@@ -348,6 +347,5 @@
      * @return array 商品規格の配列
      */
-    function getProductsClassByQuery(&$objQuery, $params)
-    {
+    function getProductsClassByQuery(&$objQuery, $params) {
         // 末端の規格を取得
         $col = <<< __EOS__
@@ -402,10 +400,8 @@
      * @return array 商品規格の配列
      */
-    function getProductsClass($productClassId)
-    {
+    function getProductsClass($productClassId) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $objQuery->setWhere('product_class_id = ? AND T1.del_flg = 0');
         $arrRes = $this->getProductsClassByQuery($objQuery, $productClassId);
-
         return (array)$arrRes[0];
     }
@@ -418,6 +414,5 @@
      * @return array 商品規格の配列
      */
-    function getProductsClassByProductIds($productIds = array(), $has_deleted = false)
-    {
+    function getProductsClassByProductIds($productIds = array(), $has_deleted = false) {
         if (empty($productIds)) {
             return array();
@@ -429,5 +424,4 @@
         }
         $objQuery->setWhere($where);
-
         return $this->getProductsClassByQuery($objQuery, $productIds);
     }
@@ -440,8 +434,6 @@
      * @return array すべての組み合わせの商品規格の配列
      */
-    function getProductsClassFullByProductId($productId, $has_deleted = false)
-    {
+    function getProductsClassFullByProductId($productId, $has_deleted = false) {
         $arrRet = $this->getProductsClassByProductIds(array($productId), $has_deleted);
-
         return $arrRet;
     }
@@ -453,6 +445,5 @@
      * @return array 商品IDをキーにした商品ステータスIDの配列
      */
-    function getProductStatus($productIds)
-    {
+    function getProductStatus($productIds) {
         if (empty($productIds)) {
             return array();
@@ -467,5 +458,4 @@
             $results[$status['product_id']][] = $status['product_status_id'];
         }
-
         return $results;
     }
@@ -479,6 +469,5 @@
      * @param array $productStatusIds ON にする商品ステータスIDの配列
      */
-    function setProductStatus($productId, $productStatusIds)
-    {
+    function setProductStatus($productId, $productStatusIds) {
 
         $val['product_id'] = $productId;
@@ -506,6 +495,5 @@
      * @see getDetailAndProductsClass()
      */
-    function getBuyLimit($p)
-    {
+    function getBuyLimit($p) {
         $limit = null;
         if ($p['stock_unlimited'] != '1' && is_numeric($p['sale_limit'])) {
@@ -516,5 +504,4 @@
             $limit = $p['stock'];
         }
-
         return $limit;
     }
@@ -532,6 +519,5 @@
      * @return boolean 在庫の減少に成功した場合 true; 失敗した場合 false
      */
-    function reduceStock($productClassId, $quantity)
-    {
+    function reduceStock($productClassId, $quantity) {
 
         if ($quantity == 0) {
@@ -559,32 +545,23 @@
      *
      * @param array $arrProducts 商品情報の配列
-     * @return array 旧バージョン互換用のデータ
-     */
-    static function setPriceTaxTo(&$arrProducts)
-    {
-        foreach ($arrProducts as &$arrProduct) {
-            $arrProduct['price01_min_format'] = number_format($arrProduct['price01_min']);
-            $arrProduct['price01_max_format'] = number_format($arrProduct['price01_max']);
-            $arrProduct['price02_min_format'] = number_format($arrProduct['price02_min']);
-            $arrProduct['price02_max_format'] = number_format($arrProduct['price02_max']);
-
-            SC_Product_Ex::setIncTaxToProduct($arrProduct);
-
-            $arrProduct['price01_min_inctax_format'] = number_format($arrProduct['price01_min_inctax']);
-            $arrProduct['price01_max_inctax_format'] = number_format($arrProduct['price01_max_inctax']);
-            $arrProduct['price02_min_inctax_format'] = number_format($arrProduct['price02_min_inctax']);
-            $arrProduct['price02_max_inctax_format'] = number_format($arrProduct['price02_max_inctax']);
-
-            // @deprecated 2.12.4
-            // 旧バージョン互換用
-            // 本来は、税額の代入で使用すべきキー名。
-            $arrProduct['price01_min_tax_format'] =& $arrProduct['price01_min_inctax_format'];
-            $arrProduct['price01_max_tax_format'] =& $arrProduct['price01_max_inctax_format'];
-            $arrProduct['price02_min_tax_format'] =& $arrProduct['price02_min_inctax_format'];
-            $arrProduct['price02_max_tax_format'] =& $arrProduct['price02_max_inctax_format'];
-        }
-        // @deprecated 2.12.4
-        // 旧バージョン互換用
-        // 現在は参照渡しで戻せる
+     * @return array 税込金額を設定した商品情報の配列
+     */
+    function setPriceTaxTo($arrProducts) {
+        foreach ($arrProducts as $key => $value) {
+            $arrProducts[$key]['price01_min_format'] = number_format($arrProducts[$key]['price01_min']);
+            $arrProducts[$key]['price01_max_format'] = number_format($arrProducts[$key]['price01_max']);
+            $arrProducts[$key]['price02_min_format'] = number_format($arrProducts[$key]['price02_min']);
+            $arrProducts[$key]['price02_max_format'] = number_format($arrProducts[$key]['price02_max']);
+
+            $arrProducts[$key]['price01_min_tax'] = SC_Helper_DB::sfCalcIncTax($arrProducts[$key]['price01_min']);
+            $arrProducts[$key]['price01_max_tax'] = SC_Helper_DB::sfCalcIncTax($arrProducts[$key]['price01_max']);
+            $arrProducts[$key]['price02_min_tax'] = SC_Helper_DB::sfCalcIncTax($arrProducts[$key]['price02_min']);
+            $arrProducts[$key]['price02_max_tax'] = SC_Helper_DB::sfCalcIncTax($arrProducts[$key]['price02_max']);
+
+            $arrProducts[$key]['price01_min_tax_format'] = number_format($arrProducts[$key]['price01_min_tax']);
+            $arrProducts[$key]['price01_max_tax_format'] = number_format($arrProducts[$key]['price01_max_tax']);
+            $arrProducts[$key]['price02_min_tax_format'] = number_format($arrProducts[$key]['price02_min_tax']);
+            $arrProducts[$key]['price02_max_tax_format'] = number_format($arrProducts[$key]['price02_max_tax']);
+        }
         return $arrProducts;
     }
@@ -596,6 +573,5 @@
      * @return void
      */
-    static function setIncTaxToProducts(&$arrProducts)
-    {
+    static function setIncTaxToProducts(&$arrProducts) {
         foreach ($arrProducts as &$arrProduct) {
             SC_Product_Ex::setIncTaxToProduct($arrProduct);
@@ -609,10 +585,9 @@
      * @return void
      */
-    static function setIncTaxToProduct(&$arrProduct)
-    {
-        $arrProduct['price01_min_inctax'] = isset($arrProduct['price01_min']) ? SC_Helper_DB_Ex::sfCalcIncTax($arrProduct['price01_min']) : null;
-        $arrProduct['price01_max_inctax'] = isset($arrProduct['price01_max']) ? SC_Helper_DB_Ex::sfCalcIncTax($arrProduct['price01_max']) : null;
-        $arrProduct['price02_min_inctax'] = isset($arrProduct['price02_min']) ? SC_Helper_DB_Ex::sfCalcIncTax($arrProduct['price02_min']) : null;
-        $arrProduct['price02_max_inctax'] = isset($arrProduct['price02_max']) ? SC_Helper_DB_Ex::sfCalcIncTax($arrProduct['price02_max']) : null;
+    static function setIncTaxToProduct(&$arrProduct) {
+        $arrProduct['price01_min_inctax'] = isset($arrProduct['price01_min']) ? SC_Helper_DB::sfCalcIncTax($arrProduct['price01_min']) : null;
+        $arrProduct['price01_max_inctax'] = isset($arrProduct['price01_max']) ? SC_Helper_DB::sfCalcIncTax($arrProduct['price01_max']) : null;
+        $arrProduct['price02_min_inctax'] = isset($arrProduct['price02_min']) ? SC_Helper_DB::sfCalcIncTax($arrProduct['price02_min']) : null;
+        $arrProduct['price02_max_inctax'] = isset($arrProduct['price02_max']) ? SC_Helper_DB::sfCalcIncTax($arrProduct['price02_max']) : null;
     }
 
@@ -623,6 +598,5 @@
      * @return string 商品詳細の SQL
      */
-    function alldtlSQL($where_products_class = '')
-    {
+    function alldtlSQL($where_products_class = '') {
         if (!SC_Utils_Ex::isBlank($where_products_class)) {
             $where_products_class = 'AND (' . $where_products_class . ')';
@@ -719,5 +693,4 @@
             ) AS alldtl
 __EOS__;
-
         return $sql;
     }
@@ -731,6 +704,5 @@
      * @return string 商品規格詳細の SQL
      */
-    function prdclsSQL($where = '')
-    {
+    function prdclsSQL($where = '') {
         $where_clause = '';
         if (!SC_Utils_Ex::isBlank($where)) {
@@ -770,5 +742,4 @@
         ) as prdcls
 __EOS__;
-
         return $sql;
     }
Index: /branches/version-2_12-dev/data/class/SC_Session.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_Session.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/SC_Session.php	(revision 22796)
@@ -23,6 +23,5 @@
 
 /* セッション管理クラス */
-class SC_Session 
-{
+class SC_Session {
 
     /** ログインユーザ名 */
@@ -45,6 +44,5 @@
 
     /* コンストラクタ */
-    function __construct()
-    {
+    function __construct() {
         // セッション情報の保存
         if (isset($_SESSION['cert'])) {
@@ -67,6 +65,5 @@
     }
     /* 認証成功の判定 */
-    function IsSuccess()
-    {
+    function IsSuccess() {
         if ($this->cert == CERT_STRING) {
             $masterData = new SC_DB_MasterData_Ex();
@@ -86,24 +83,20 @@
 
     /* セッションの書き込み */
-    function SetSession($key, $val)
-    {
+    function SetSession($key, $val) {
         $_SESSION[$key] = $val;
     }
 
     /* セッションの読み込み */
-    function GetSession($key)
-    {
+    function GetSession($key) {
         return $_SESSION[$key];
     }
 
     /* セッションIDの取得 */
-    function GetSID()
-    {
+    function GetSID() {
         return $this->sid;
     }
 
     /** ユニークIDの取得 **/
-    function getUniqId()
-    {
+    function getUniqId() {
         // ユニークIDがセットされていない場合はセットする。
         if (empty($_SESSION['uniqid'])) {
@@ -114,6 +107,5 @@
 
     /** ユニークIDのセット **/
-    function setUniqId()
-    {
+    function setUniqId() {
         // 予測されないようにランダム文字列を付与する。
         $this->SetSession('uniqid', SC_Utils_Ex::sfGetUniqRandomId());
@@ -121,6 +113,5 @@
 
     // 関連セッションのみ破棄する。
-    function logout()
-    {
+    function logout() {
         unset($_SESSION['cert']);
         unset($_SESSION['login_id']);
Index: /branches/version-2_12-dev/data/class/SC_AdminView.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_AdminView.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/SC_AdminView.php	(revision 22796)
@@ -22,13 +22,10 @@
  */
 
-class SC_AdminView extends SC_View_Ex
-{
-    function __construct()
-    {
+class SC_AdminView extends SC_View_Ex {
+    function __construct() {
         parent::__construct();
     }
 
-    function init()
-    {
+    function init() {
         parent::init();
 
